apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: device42-find-by-id
spec:
  refreshInterval: 1h
  secretStoreRef:
    # This name must match the metadata.name in the `SecretStore`
    name: device42
    kind: SecretStore
  target:
    name: k8s-secret-to-be-created
  data:
    - secretKey: K8S_PASSWORD
      remoteRef:
        key: "12345"
